net.sourceforge.pmd.lang.ecmascript.ast

## Class ASTCatchClause

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode<org.mozilla.javascript.ast.CatchClause>
    - - net.sourceforge.pmd.lang.ecmascript.ast.ASTCatchClause

- All Implemented Interfaces:
    Node, EcmascriptNode<org.mozilla.javascript.ast.CatchClause>

      public class ASTCatchClause
      extends AbstractEcmascriptNode<org.mozilla.javascript.ast.CatchClause>

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `node`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTCatchClause(org.mozilla.javascript.ast.CatchClause catchClause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTBlock` | `getBlock()`
    `EcmascriptNode` | `getCatchCondition()`
    `ASTName` | `getVariableName()`
    `boolean` | `isIf()`
    `Object` | `jjtAccept(EcmascriptParserVisitor visitor, Object data)` Accept the visitor.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `childrenAccept, getJsDoc, getNode, hasSideEffects, toString`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Constructor Detail

    - #### ASTCatchClause

          public ASTCatchClause(org.mozilla.javascript.ast.CatchClause catchClause)

  - ### Method Detail

    - #### jjtAccept

          public Object jjtAccept(EcmascriptParserVisitor visitor,
                         Object data)

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `EcmascriptNode<org.mozilla.javascript.ast.CatchClause>`
      Overrides:
        `jjtAccept` in class `AbstractEcmascriptNode<org.mozilla.javascript.ast.CatchClause>`

    - #### getVariableName

          public ASTName getVariableName()

    - #### isIf

          public boolean isIf()

    - #### getCatchCondition

          public EcmascriptNode getCatchCondition()

    - #### getBlock

          public ASTBlock getBlock()

Copyright © 2002-2013 InfoEther. All Rights Reserved.